%define name tilp
%define version 6.04
%define release 1mdk
%define major 0

%define libname %mklibname %name %major 
%define libnamedevel %mklibname %name %major -d

Summary: Communicate with TI graphing calculators
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Communications
URL: http://tilp.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
Patch2: %{name}-destdir-help.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: libticables >= 1.7.8 libticalcs >= 4.3.0
BuildRequires: libticables-devel 
Buildrequires: libticalcs-devel
BuildRequires: libtifiles-devel
Buildrequires: libgtk+-devel
Requires: %libname = %version-%release

%description
TiLP is a program allowing to a PC to communicate with a TI calculator.
It uses the GTK+ (http://www.gimp.org/gtk) toolkit.

%package -n %libname
Summary: Common libraries for Tilp.
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%description -n %libname
TiLP is a program allowing to a PC to communicate with a TI calculator.
It uses the GTK+ (http://www.gimp.org/gtk) toolkit.

This package contain common libraries for tilp.

%package -n %libnamedevel
Summary: Development files from Tilp.
Group: Development/Other
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %libname = %{version}-%{release}

%description -n %libnamedevel
TiLP is a program allowing to a PC to communicate with a TI calculator.
It uses the GTK+ (http://www.gimp.org/gtk) toolkit.

This package contain development files need to build application using tilp

%prep
%setup
chmod -R 755 ./
%patch2 -p0

%build
#automake
CC=$RPM_OPT_FLAGS
%configure --prefix=%{_prefix} --libdir=%{_libdir}
%make

%install
%makeinstall libnv82includedir=%buildroot%_includedir/tilp \
             libtestincludedir=%buildroot%_includedir/tilp \
             FONTS_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts \
	     tilp_pixmap_dir=%buildroot%_datadir/tilp

%find_lang %{name}

rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/fonts.dir

#Menu an icon
install -D %SOURCE10 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D %SOURCE11 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D %SOURCE12 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
( cd $RPM_BUILD_ROOT%{_menudir} 
cat > %{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Tilp"\
longtitle="TI calculators communication"\
needs="x11"\
section="Applications/Communications"\
icon="%{name}.png"
EOF
)

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
mkfontdir %{_prefix}/X11R6/lib/X11/fonts/misc
%{update_menus}

%postun
mkfontdir %{_prefix}/X11R6/lib/X11/fonts/misc
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.linux 
%doc THANKS TODO
%config(noreplace) %{_sysconfdir}/tilp.reg
%{_bindir}/*
%{_datadir}/tilp
%{_mandir}/man1/*
%{_prefix}/X11R6/lib/X11/fonts/misc/tifont.pcf
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedevel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_includedir/tilp/*.h

%changelog
* Mon Feb 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 6.04-1mdk
- 6.04
- -patch{0,1}; +patch2 (fix destdir)
- split lib/libdevel

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-3mdk
- rebuild for rpm and glibc

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-2mdk
- rebuild
- fix missing files

* Wed Sep 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-1mdk
- port to mdk
- 5.34
- add menu and icones

* Sun May  6 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 4.16

* Sat Mar 24 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 4.06

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.93
